#!/bin/bash
# greennuts STARTUP
#
# File Version 100.019
#
# param
#  non
echo "gn.sh - start" >> /home/pi/Greennuts/log/chktime.txt
date >> /home/pi/Greennuts/log/chktime.txt

var=$(cat /home/pi/Greennuts/bin/analyze.sts)
echo $var
varInit=$(cat /home/pi/Greennuts/bin/sysinit.sts)

# RTC
echo ds1307 0x68 | /usr/bin/tee /sys/class/i2c-adapter/i2c-1/new_device
sleep 3
hwclock -s >> /home/pi/Greennuts/log/chktime.txt

date >> /home/pi/Greennuts/log/chktime.txt
sudo hwclock -r >> /home/pi/Greennuts/log/chktime.txt

# B+ eth0 spped
if [ -e /home/pi/Greennuts/temp/gnp002v000992.txt ]; then
  if [ -e /home/pi/Greennuts/temp/foundationGBIT.txt ]; then
    echo "foundationGBIT" >> /home/pi/Greennuts/log/chktime.txt
  else
    sudo ethtool -s eth0 speed 100 duplex full
    echo "speed 100m" >> /home/pi/Greennuts/log/chktime.txt
  fi
fi

# Wifi PowerManagerOff
sudo iwconfig wlan0 power off >> /home/pi/Greennuts/log/chktime.txt

# <<Version:GNP001-GNP005>>
# First time execute ---->
# EXPAND_FS
if [ -e /home/pi/Greennuts/temp/SD_RO.txt ]; then
  if [ -e /home/pi/Greennuts/temp/SD_RO_IE.txt ]; then
    if [ "$varInit" = "0" ]; then
      echo "sd_ro-ie-EXPAND_FS" >> /home/pi/Greennuts/log/chktime.txt
      echo "1" > /home/pi/Greennuts/bin/sysinit.sts
      sudo hwclock --set --date "01 Jan 2000 09:00"
      sudo raspi-config nonint do_expand_rootfs
      sudo reboot
    elif [ "$varInit" = "1" ]; then
      echo "sd_ro-ie-NORMAL" >> /home/pi/Greennuts/log/chktime.txt
      echo "1" > /home/pi/Greennuts/bin/sysinit.sts
    else
      echo "sd_ro-ie-EXPAND_FS" >> /home/pi/Greennuts/log/chktime.txt
      echo "1" > /home/pi/Greennuts/bin/sysinit.sts
      sudo hwclock --set --date "01 Jan 2000 09:00"
      sudo raspi-config nonint do_expand_rootfs
      sudo reboot
    fi
  else
    if [ -e /home/pi/Greennuts/bin/sysinit.sts ]; then
      if [ "$varInit" = "0" ]; then
        echo "sd_ro-EXPAND_FS" >> /home/pi/Greennuts/log/chktime.txt
        echo "1" > /home/pi/Greennuts/bin/sysinit.sts
        sudo hwclock --set --date "01 Jan 2000 09:00"
        sudo raspi-config nonint do_expand_rootfs
        sudo reboot
      elif [ "$varInit" = "1" ]; then
        echo "sd_ro-WR-PROTECT" >> /home/pi/Greennuts/log/chktime.txt
        echo "2" > /home/pi/Greennuts/bin/sysinit.sts
        sudo /home/pi/Greennuts/bin/WR-PROTECT.sh
      else
        echo "sd_ro-NORMAL" >> /home/pi/Greennuts/log/chktime.txt
        echo "2" > /home/pi/Greennuts/bin/sysinit.sts
      fi
    else
      echo "sd_ro-WR-ENABLE" >> /home/pi/Greennuts/log/chktime.txt
      echo "0" > /home/pi/Greennuts/bin/sysinit.sts
      sudo /home/pi/Greennuts/bin/WR-ENABLE.sh
    fi
  fi
else
  if [ "$varInit" = "0" ]; then
    echo "EXPAND_FS" >> /home/pi/Greennuts/log/chktime.txt
    echo "1" > /home/pi/Greennuts/bin/sysinit.sts
    sudo hwclock --set --date "01 Jan 2000 09:00"
    sudo raspi-config nonint do_expand_rootfs
    sudo reboot
  elif [ "$varInit" = "1" ]; then
    echo "NORMAL" >> /home/pi/Greennuts/log/chktime.txt
    echo "1" > /home/pi/Greennuts/bin/sysinit.sts
  else
    echo "EXPAND_FS" >> /home/pi/Greennuts/log/chktime.txt
    echo "1" > /home/pi/Greennuts/bin/sysinit.sts
    sudo hwclock --set --date "01 Jan 2000 09:00"
    sudo raspi-config nonint do_expand_rootfs
    sudo reboot
  fi
fi
# First time execute <----

# change config.txt -->
if [ -e /home/pi/Greennuts/temp/boot_delay_2.txt ]; then
  echo "boot_delay_2 ON" >> /home/pi/Greennuts/log/chktime.txt
  echo "reset" > /home/pi/Greennuts/temp/boot_delay_2.txt
else
  echo "boot_delay_2 OFF" >> /home/pi/Greennuts/log/chktime.txt
  echo "set"   > /home/pi/Greennuts/temp/boot_delay_2.txt
  cp /boot/config.txt /boot/config.bak
  echo "boot_delay=2" >> /boot/config.txt
  sudo reboot
fi
# change config.txt <--

## plymouth
#if [ -e /home/pi/Greennuts/os_stretch.txt ]; then
#    #sudo hwclock -r >> /home/pi/Greennuts/log/chktime.txt
#    sudo plymouth --hide-splash
#fi

# Stop Service
if [ -e /home/pi/Greennuts/os_stretch.txt ]; then
  sudo systemctl disable apt-daily-upgrade.timer
  sudo systemctl disable apt-daily.timer
  sudo systemctl disable systemd-timesyncd.service
fi

# Startx
if [ "$var" = "1" ]; then
  echo "0" > /home/pi/Greennuts/bin/analyze.sts
  startx
elif [ "$var" = "0" ]; then
  #sleep 5
  #sudo hwclock -r >> /home/pi/Greennuts/log/chktime.txt
  startx /home/pi/Greennuts/bin/greennuts.sh -- -nocursor
else
  echo "2" > /home/pi/Greennuts/bin/analyze.sts
fi
